Which mobile devices are compatible with the Playermaker app?

The Playermaker app is compatible with most modern phones and tablets. To download and use the application, you must use a mobile device that runs one of the following operating systems:

  • Apple OS 13 or higher
  • Android OS 8.0 or higher

Despite meeting the above requirements, the following devices may exhibit compatibility issues with the Playermaker app (causing the product and app to not operate properly):

  • Galaxy A10e / A50 / A51 / A52 / S10e
  • Motorola One Action / edge 20 lite
  • Huawei P30 Pro & lite / P20
  • LG Journey (LGE LGL322DL) 

If you are using one of the above mobile devices and you are experiencing pairing or syncing issues, then please refer to the following articles to help you troubleshoot the relevant issue:

Was this article helpful?
1 out of 1 found this helpful

Comments

0 comments

Please sign in to leave a comment.

Have more questions?
Submit a request
Share it, if you like it.